Create Wikipedia in Northern Sotho
Closed, ResolvedPublic

Description

Author: millosh

Description:

  • Project code: nso
  • Project name: Wikipedia
  • Project namespace: Wikipedia
  • Project_talk namespace: Dipolelo tša Wikipedia
  • Wiki logo: Wikipedia-logo-v2-tn.png
  • Default timezone: South Africa/Pretoria (SAST)
  • User interface: See Translatewiki.

Version: unspecified
Severity: critical
URL: http://meta.wikimedia.org/wiki/Requests_for_new_languages/Wikipedia_Sepedi

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz30882.
bzimport created this task.Via LegacySep 13 2011, 10:31 AM
bzimport added a comment.Via ConduitOct 10 2011, 8:09 PM

wikimedia wrote:

Is there an expected date of arrival for this? This is quite a big deal in the South African context, and for Wikimedia-ZA, so any feedback so that we can co-ordinate an announcement in the local media would be great.

Thanks :)

bzimport added a comment.Via ConduitOct 15 2011, 11:20 AM

ebe123_wiki wrote:

(In reply to comment #1)

Is there an expected date of arrival for this? This is quite a big deal in the
South African context, and for Wikimedia-ZA, so any feedback so that we can
co-ordinate an announcement in the local media would be great.

Thanks :)

I would think that Wikimedia-ZA could edit on incubator. Ebe123

bzimport added a comment.Via ConduitOct 16 2011, 4:07 AM

Gerard.meijssen wrote:

They can but there should be no need. GerardM

bzimport added a comment.Via ConduitOct 16 2011, 6:31 PM

ebe123_wiki wrote:

(In reply to comment #3)

They can but there should be no need. GerardM

If there was no need, then why is there the incubator at all?

bzimport added a comment.Via ConduitOct 16 2011, 6:53 PM

Abigor wrote:

Its simple and offtopic for this bug.

Wikimedia Incubator is created for Wikinews, WikiQuote, Wikipedia and WikiBooks
Wikiversity beta is created for Wikiversities.
Wikisource old is created for WikiSource.

There is no place for Wikimedia versions, and there are policies at incubator to not incubate wikimedia versions.

bzimport added a comment.Via ConduitOct 16 2011, 7:02 PM

ebe123_wiki wrote:

It was about Wikimedia-ZA editing incubator, not about wikimedia-ZA's wiki at incubator.

bzimport added a comment.Via ConduitOct 16 2011, 7:56 PM

node.ue wrote:

Ebe, I would hope you would understand the psychological difference between having a wiki in the incubator and a real, separate, Wikipedia with its own subdomain. This is a "big deal" to most people. A press release stating "A Wikipedia in the Northern Sotho language has just been created!" is much more impactful and dramatic than "A test version of Wikipedia in the Northern Sotho language currently exists at the Wikimedia Incubator, and will someday get its own separate project".

bzimport added a comment.Via ConduitOct 16 2011, 7:58 PM

node.ue wrote:

Also note that Gerard said there SHOULD be no need, not that there is no need. Once a project is approved, there should be no need for it to stay at incubator or for people to edit it on incubator, since it should ideally get an own domain soon. Incubator is currently very necessary, but now that nso.wp has been approved there *should* be no need for people to edit it at incubator.

SPQRobin added a comment.Via ConduitOct 16 2011, 8:15 PM

We are getting off-topic here, but I want to add:

There should be no need to edit it, in the context of getting a subdomain. But there *is* need to edit an Incubator wiki just like there is need to edit an existing wiki, with our common goal to spread free knowledge. I do understand that getting a subdomain is big news (and having it is more user-friendly), but editing Incubator should not be solely for getting that subdomain.

bzimport added a comment.Via ConduitOct 29 2011, 9:30 PM

jeluf wrote:

Done.

bzimport added a comment.Via ConduitOct 31 2011, 8:19 AM

wikimedia wrote:

Thanks JeLuF.

I see the subdomain has been reserved, but as of yet there is no data, and the message reads "Please do not start editing this new site. This site has a test project on the Wikimedia Incubator (or on the BetaWikiversity or on the Old Wikisource) and it will be imported to here."

What is the process for importing this data?

bzimport added a comment.Via ConduitOct 31 2011, 12:19 PM

ebe123_wiki wrote:

Well, I'm currently in the process of de-prefixing. We take all the pages in the category, put them in a XML file, and remove all the prefixes. After, we import all into the wiki.

SPQRobin added a comment.Via ConduitOct 31 2011, 1:45 PM

I hope you aren't manually removing the prefixes... Importing shouldn't take much time.

bzimport added a comment.Via ConduitOct 31 2011, 1:59 PM

ebe123_wiki wrote:

What other way?

SPQRobin added a comment.Via ConduitOct 31 2011, 2:05 PM

In a text editor you can search and replace all prefixes with one click (with "manually" I meant removing each of them separately).

bzimport added a comment.Via ConduitOct 31 2011, 2:06 PM

Abigor wrote:

I used to do it with a python script... Took 5 minutes.

bzimport added a comment.Via ConduitOct 31 2011, 2:19 PM

ebe123_wiki wrote:

I'm doing it (semi-)manually, as I can, but it takes time and can cause the program to crash, I'm using a mac and dashcode automaticly crashes. I will be tring to get it faster.

SPQRobin added a comment.Via ConduitOct 31 2011, 2:27 PM

If you need the file without prefixes: http://robinpepermans.be/nsowiki.xml

bzimport added a comment.Via ConduitNov 1 2011, 9:39 AM

node.ue wrote:

Given that SPQRobin has been kind enough to provide the XML file without prefixes, I hope the import can be finished today so Sepedi Wikipedia's creation can be totally finished.

SPQRobin added a comment.Via ConduitNov 1 2011, 4:18 PM

Reopening, because [[nso:]] does not work as an interwiki prefix.

Catrope added a comment.Via ConduitNov 1 2011, 4:55 PM

(In reply to comment #20)

Reopening, because [[nso:]] does not work as an interwiki prefix.

Fixed by updating the interwiki cache.

bzimport added a comment.Via ConduitNov 1 2011, 8:15 PM

ebe123_wiki wrote:

(In reply to comment #19)

Given that SPQRobin has been kind enough to provide the XML file without
prefixes, I hope the import can be finished today so Sepedi Wikipedia's
creation can be totally finished.

I finished importing.

bzimport added a comment.Via ConduitNov 1 2011, 8:26 PM
bzimport added a comment.Via ConduitNov 1 2011, 8:30 PM

monaledi wrote:

(In reply to comment #23)

Thanks Ebe! However it seems some pages are still missing:

http://incubator.wikimedia.org/wiki/Wp/nso/Afrika_Borwa (article about South
Africa)
http://nso.wikipedia.org/wiki/Afrika_Borwa (does not exist)

http://incubator.wikimedia.org/wiki/Wp/nso/Asia
http://nso.wikipedia.org/wiki/Asia (does not exist)

http://incubator.wikimedia.org/wiki/Wp/nso/Europa
http://nso.wikipedia.org/wiki/Europa (does not exist)

(for example)

Yes, as well as some templates.

bzimport added a comment.Via ConduitNov 1 2011, 10:07 PM

ebe123_wiki wrote:

Going to import. Quick. Done.

bzimport added a comment.Via ConduitNov 1 2011, 10:28 PM

node.ue wrote:

Etienne: Unfortunately there are still around 100 pages missing, including some of the most important ones (the page about South Africa and the page about the Sepedi/Northern Sotho language).

I have made a list here of articles that exist on Incubator but have not been imported yet:

http://nso.wikipedia.org/wiki/Mo%C5%A1omi:Node_ue/Missing

SPQRobin added a comment.Via ConduitNov 1 2011, 10:32 PM

Those are included in my xml file; you can import that (it won't cause problems because it also contains pages that are already imported).

bzimport added a comment.Via ConduitNov 1 2011, 11:03 PM

ebe123_wiki wrote:

I tried 2 ways! I can't beleve some pages got through! And Ágreda? I checked my XML file, and it was there. There's a bug in the system for importing. I know. At each time I import and it's a big file. Not all gets imported and I get a big fat error page. It's just 2 pages. Nothing big now.

bzimport added a comment.Via ConduitNov 1 2011, 11:21 PM

node.ue wrote:

Ebe: It seems your system is having troubles with accented characters. The 2 pages that haven't imported still have accented titles; the latest pages that were imported have broken accented characters:

Compare

http://incubator.wikimedia.org/wiki/Wp/nso/Europa
http://nso.wikipedia.org/wiki/Europa

SPQRobin added a comment.Via ConduitNov 3 2011, 10:47 PM

It was imported using wrong character encoding. We have temporarily disabled editing pages via TitleBlacklist. We are exporting new pages and are going to re-import it.

So could someone please clear the database (or delete & re-create the wiki), so we can re-import it?

Thanks

Hydriz added a comment.Via ConduitNov 4 2011, 11:20 AM

I was browsing through svn.wikimedia.org and was wondering if anyone actually saw one incubator-transfer script.[1]

If this script could work, should the sysadmins use it from now on to prevent such incidents from happening again?

[1]: http://svn.wikimedia.org/svnroot/mediawiki/trunk/tools/incubator-transfer/

SPQRobin added a comment.Via ConduitNov 8 2011, 9:04 PM

Any reaction, please? If it's too much work to empty the wiki, it's OK, we can leave it as it is. In any case we would like to have it re-opened one of these days...

SPQRobin added a comment.Via ConduitNov 8 2011, 9:11 PM

(In reply to comment #31)

I was browsing through svn.wikimedia.org and was wondering if anyone actually
saw one incubator-transfer script.[1]

If this script could work, should the sysadmins use it from now on to prevent
such incidents from happening again?

[1]: http://svn.wikimedia.org/svnroot/mediawiki/trunk/tools/incubator-transfer/

Interesting... But I assume it would mean more work for sysadmins, so longer waiting time for new wikis ;-)

Catrope added a comment.Via ConduitNov 9 2011, 3:31 PM

(In reply to comment #32)

Any reaction, please? If it's too much work to empty the wiki, it's OK, we can
leave it as it is. In any case we would like to have it re-opened one of these
days...

I am going to delete and recreate the wiki now.

bzimport added a comment.Via ConduitNov 9 2011, 3:54 PM

monaledi wrote:

(In reply to comment #34)

I am going to delete and recreate the wiki now.

Thanks Roan, your help in getting this wiki going is appreciated.

Catrope added a comment.Via ConduitNov 9 2011, 3:55 PM

Done. Recreating the wiki wasn't hard, but getting rid of the (cached!) blanket TitleBlacklist rule (.* <noedit>) was hard. Please don't do that again, that rule caused some serious trouble.

SPQRobin added a comment.Via ConduitNov 11 2011, 10:36 PM

(In reply to comment #36)

Done. Recreating the wiki wasn't hard, but getting rid of the (cached!) blanket
TitleBlacklist rule (.* <noedit>) was hard. Please don't do that again, that
rule caused some serious trouble.

Sorry, it was to prevent users from editing the wiki while we were waiting for this. Anyway, we are taking measures to prevent import problems in the future (http://meta.wikimedia.org/wiki/New_wikis_importers).

Marking this bug as resolved, since MF-Warburg imported it again.

Thanks.

Add Comment